diff -ur old/cobbler/webui/CobblerWeb.py build/cobbler/webui/CobblerWeb.py
--- old/cobbler/webui/CobblerWeb.py	2008-11-19 10:42:29.000000000 +0100
+++ build/cobbler/webui/CobblerWeb.py	2008-11-19 23:01:58.000000000 +0100
@@ -326,6 +326,21 @@
         else:
             return self.__render('empty.tmpl',{})
 
+    def system_list_action(self,actionname=None,targetlist=None,**args):
+
+        if not self.__xmlrpc_setup():
+            return self.xmlrpc_auth_failure()
+
+        if actionname is None:
+            return self.error_page("Action parameter is REQUIRED.")
+	if targetlist is None:
+	    return self.error_page("Namelist parameter is REQUIRED.")
+	    
+        return self.__render( 'system_list_'+actionname+'.tmpl', {
+                'targetlist'       : targetlist,
+                'systems'          : self.remote.get_systems(),
+            } )
+
     def system_save(self,name=None,oldname=None,comment=None,editmode="edit",profile=None,
                     new_or_edit=None,  
                     kopts=None, koptspost=None, ksmeta=None, owners=None, server_override=None, netboot='n', 
@@ -1042,6 +1057,7 @@
 
     system_edit.exposed = True
     system_list.exposed = True
+    system_list_action.exposed = True
     system_save.exposed = True
 
     repo_edit.exposed = True
diff -ur old/setup.py build/setup.py
--- old/setup.py	2008-11-19 21:09:50.000000000 +0100
+++ build/setup.py	2008-11-19 22:13:22.000000000 +0100
@@ -284,6 +284,7 @@
                                 (wwwtmpl,           ['webui_templates/profile_list.tmpl']),
                                 (wwwtmpl,           ['webui_templates/profile_edit.tmpl']),
                                 (wwwtmpl,           ['webui_templates/system_list.tmpl']),
+                                (wwwtmpl,           ['webui_templates/system_list_netboot.tmpl']),
                                 (wwwtmpl,           ['webui_templates/system_edit.tmpl']),
                                 (wwwtmpl,           ['webui_templates/repo_list.tmpl']),
                                 (wwwtmpl,           ['webui_templates/repo_edit.tmpl']),
diff -ur old/webui_templates/master.tmpl build/webui_templates/master.tmpl
--- old/webui_templates/master.tmpl	2008-11-19 10:42:29.000000000 +0100
+++ build/webui_templates/master.tmpl	2008-11-20 00:14:29.000000000 +0100
@@ -10,6 +10,63 @@
 
 <script language="Javascript" src="/cobbler/webui/cobbler.js" ></script>
 
+<script language="Javascript">
+function items_check_all()
+{
+    var checkall=document.getElementById("itemsall").checked
+    var items=document.getElementsByName("items")
+    for( i = 0; i < items.length; ++i ) {
+	var item = items[i];
+	item.checked=checkall;
+    }
+}
+
+function items_checked_count()
+{
+    var items=document.getElementsByName("items")
+    var j=0;
+    for( i = 0; i < items.length; ++i ) {
+	var item = items[i];
+	if (item.checked) {
+	    j++;
+	}
+    }
+    return j;
+}
+
+function items_checked_values()
+{
+    var items=document.getElementsByName("items")
+    var s="";
+    for( i = 0; i < items.length; ++i ) {
+	var item = items[i];
+	if (item.checked) {
+	    if (s="") {
+		s=item.value
+	    } else {
+		s=s+" "+item.value;
+	    }
+	}
+    }
+    return s;
+}
+
+function menuaction(actionname)
+{
+    var itemcount=items_checked_count();
+    if ((itemcount == 0) &&
+        (actionname == "netboot"))
+    {
+	alert("No items selected");
+	return;
+    }
+        
+    document.getElementById("targetlist").value=items_checked_values();
+    document.getElementById("actionname").value=actionname;
+    document.myform.submit();
+}
+</script>
+
 </head>
 
 
@@ -35,6 +92,10 @@
         <li><a href="$base_url?mode=distro_list" class="menu">Distros</a></li>
         <li><a href="$base_url?mode=profile_list" class="menu">Profiles</a></li>
         <li><a href="$base_url?mode=system_list" class="menu">Systems</a></li>
+    <ul id="navsystems">
+        <li><a href="$base_url?mode=system_edit" class="menu">Add</a></li>
+        <li onClick="javascript:menuaction('netboot')" class="menu">Netboot</li>
+    </ul>
         <li><a href="$base_url?mode=ksfile_list" class="menu">Kickstarts</a></li>
         <li><a href="$base_url?mode=repo_list" class="menu">Repos</a></li>
         <li><a href="$base_url?mode=image_list" class="menu">Images</a></li>
diff -ur old/webui_templates/system_list.tmpl build/webui_templates/system_list.tmpl
--- old/webui_templates/system_list.tmpl	2008-11-19 21:11:21.000000000 +0100
+++ build/webui_templates/system_list.tmpl	2008-11-20 00:15:26.000000000 +0100
@@ -7,11 +7,15 @@
     #include "/usr/share/cobbler/webui_templates/paginate.tmpl"
     ## ==== END PAGE NAVIGATION ====
 
-<table class="sortable">
-
+<form name="myform" method="post" action="$base_url?mode=system_list_action">
+    <input type="hidden" name="actionname" id="actionname" value=""/>
+    <input type="hidden" name="targetlist" id="targetlist" value=""/>
+    
+    <table class="sortable">
     <thead>
         <caption>Cobbler Systems</caption>
         <tr>
+	    <th class="text"><input type="checkbox" id="itemsall" onclick="javascript:items_check_all();"></th>
             <th class="text">Name</th>
             <th class="text">Netboot</th>
             <th class="text">Profile</th>
@@ -30,6 +34,10 @@
 
         <tr class="$tr_class">
             <td>
+		<input type="checkbox" name="items" value="${system.name}">
+            </td>
+            
+            <td>
                 <a href="$base_url?mode=system_edit&name=${system.name}">${system.name}</a>
             </td>
 
@@ -70,5 +78,6 @@
 
         #end for
     </tbody>
-</table>
+    </table>
+</form>
 #end block body
diff -urN old/webui_templates/system_list_netboot.tmpl build/webui_templates/system_list_netboot.tmpl
--- old/webui_templates/system_list_netboot.tmpl	1970-01-01 01:00:00.000000000 +0100
+++ build/webui_templates/system_list_netboot.tmpl	2008-11-20 00:08:45.000000000 +0100
@@ -0,0 +1,46 @@
+#extends cobbler.webui.master
+
+#block body
+
+<form method="post" action="$base_url?mode=system_action_netboot">
+    <table class="sortable">
+    <thead>
+        <caption>Change netboot of the following systems</caption>
+        <tr>
+            <th class="text">Name</th>
+            <th class="text">Netboot</th>
+        </tr>
+    </thead>
+    <tbody>
+        #set $evenodd = 1
+        #for $system in $systems
+        #if $evenodd % 2 == 0
+            #set $tr_class = "roweven"
+        #else
+            #set $tr_class = "rowodd"
+        #end if
+        #set $evenodd += 1
+
+        <tr class="$tr_class">
+            <td>
+                <a href="$base_url?mode=system_edit&name=${system.name}">${system.name}</a>
+            </td>
+            
+            <td>
+                #if str($system.netboot_enabled) != "False"
+                    Yes
+                #else
+                    No
+    	        #end if
+            </td>
+
+        </tr>
+        #end for
+    </tbody>
+    </table>
+
+    <input type="submit" name="pxeenable" value="Enable"/>
+    <input type="submit" name="pxedisable" value="Disable"/>
+    <input type="submit" name="cancel" value="Cancel"/>
+</form>
+#end block body
